SetOptions[NIntegrate, WorkingPrecision->30, PrecisionGoal->10];

ZetaClassical[s_, a_] /; ArrayQ[{s,a},1,NumberQ] && Precision[{s,a}]<Infinity := 
 Zeta[s, a]/E^(UnitStep[Floor[-Re[a]]]*(2*UnitStep[Im[a]] - 1)*Pi*I*s) + 
     UnitStep[Floor[-Re[a]]]*(1 - E^((-(2*UnitStep[Im[a]] - 1))*Pi*I*s))*
       ((UnitStep[Im[a]]*(1 + Floor[-Re[a]] + 
          Floor[Re[a]]))/((Floor[-Re[a]] + a)^2)^(s/2) + 
          Zeta[s, a + Floor[-Re[a]] + 1]);

ShortNumberForm[nu_?InexactNumberQ, nd_:25]:=Block[{s=ToString[nu]},
    If[StringLength[s]<=2*nd, s,
       If[$VersionNumber > 5.5, 
             Row[{StringTake[s,nd],"\[CenterEllipsis]",StringTake[s,-nd]}],
             StringJoin[StringTake[s,nd],"\[CenterEllipsis]",StringTake[s,-nd]]
       ]
    ]
 ] 

SetBernoulliParameters[e_, w_] := System`Private`ControlBernoulliB[e, w]

PFQDiffEq[a_List,b_List, f_, z_, r_:1, k_:1] := (
   DSolve`DSolveAsymptoticSeries;
   DSolve`DSolveHolonomicSeriesDump`PFQDiffEq[a,b,f,z,r,k]
 )

If[$FrontEnd =!= Null,
   Block[{ev=(EvaluatorNames /. Options[$FrontEnd])},
      If[("(local)v5.2"/.ev) === "(local)v5.2",
           SetOptions[$FrontEnd, EvaluatorNames->Append[ev, "(local)v5.2"->{
                 "AppendNameToCellLabel" -> True, "AutoStartOnLaunch" -> False, 
                 "Executable" -> "C:\\Program Files\\Wolfram Research\\Mathematica\\5.2\\MathKernel.exe"
           }]]
      ]
   ]
]